[PC-BSD Commits] r14646 - in pcbsd/current: src-qt4/pc-sysinstaller system-overlay/usr/local/etc/rc.d system-overlay/usr/local/share/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Wed Jan 4 12:04:25 PST 2012
Author: kris
Date: 2012-01-04 20:04:25 +0000 (Wed, 04 Jan 2012)
New Revision: 14646
Modified:
pcbsd/current/src-qt4/pc-sysinstaller/sysinstaller.cpp
pcbsd/current/system-overlay/usr/local/etc/rc.d/pcbsdinit
pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/fastest-mirror.sh
pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/first-boot.sh
Log:
Fix running the first boot script at startup, and also make sure we reset the default mirror in a VM
or some other ping-blocked system
Modified: pcbsd/current/src-qt4/pc-sysinstaller/sysinstaller.cpp
===================================================================
--- pcbsd/current/src-qt4/pc-sysinstaller/sysinstaller.cpp 2012-01-04 16:49:55 UTC (rev 14645)
+++ pcbsd/current/src-qt4/pc-sysinstaller/sysinstaller.cpp 2012-01-04 20:04:25 UTC (rev 14646)
@@ -754,7 +754,7 @@
cfgList << "runCommand=sh /usr/local/share/pcbsd/scripts/sys-init.sh";
// Flag us for a first boot startup
- cfgList << "runCommand=touch /var/run/.pcbsd-firstboot";
+ cfgList << "runCommand=touch /var/.pcbsd-firstboot";
// Unmount our /dev
cfgList << "runExtCommand=umount ${FSMNT}/dev";
Modified: pcbsd/current/system-overlay/usr/local/etc/rc.d/pcbsdinit
===================================================================
--- pcbsd/current/system-overlay/usr/local/etc/rc.d/pcbsdinit 2012-01-04 16:49:55 UTC (rev 14645)
+++ pcbsd/current/system-overlay/usr/local/etc/rc.d/pcbsdinit 2012-01-04 20:04:25 UTC (rev 14646)
@@ -19,8 +19,8 @@
pcbsdinit_start()
{
echo "Starting PC-BSD init.."
- if [ -e "/var/run/.pcbsd-firstboot" ] ; then
- (/usr/local/share/pcbsd/scripts/first-boot.sh >/dev/null 2>/dev/null ; rm /var/run/.pcbsd-firstboot ) &
+ if [ -e "/var/.pcbsd-firstboot" ] ; then
+ (/usr/local/share/pcbsd/scripts/first-boot.sh >/dev/null 2>/dev/null ; rm /var/.pcbsd-firstboot)&
fi
# Change Xorg priority
Modified: pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/fastest-mirror.sh
===================================================================
--- pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/fastest-mirror.sh 2012-01-04 16:49:55 UTC (rev 14645)
+++ pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/fastest-mirror.sh 2012-01-04 20:04:25 UTC (rev 14646)
@@ -37,8 +37,13 @@
done < /tmp/.mirror-list
if [ -z "$lowestping" ] ; then
- echo "Unable to find the fastest mirror!"
- exit 1
+ if [ "$2" = "auto" ] ; then
+ lowestadd="http://mirrors.isc.org/pub/pcbsd"
+ lowestping="0"
+ else
+ echo "Unable to find the fastest mirror!"
+ exit 1
+ fi
fi
echo "Fastest Server: $lowestadd - $lowestping MS"
Modified: pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/first-boot.sh
===================================================================
--- pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/first-boot.sh 2012-01-04 16:49:55 UTC (rev 14645)
+++ pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/first-boot.sh 2012-01-04 20:04:25 UTC (rev 14646)
@@ -5,4 +5,5 @@
sDir="/usr/local/share/pcbsd/scripts"
# Start by finding the fastest mirror server
-${sDir}/fastest-mirror.sh set >/dev/null 2>/dev/null
+${sDir}/fastest-mirror.sh set auto >/dev/null 2>/dev/null
+
More information about the Commits
mailing list